> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pnbr.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get file version

> Read one version of a File.

**Operation ID:** `http.versions.get`

```http theme={null}
GET /v1/orgs/{org}/projects/{project}/files/{file}/versions/{version}
```


## OpenAPI

````yaml openapi.json GET /v1/orgs/{org}/projects/{project}/files/{file}/versions/{version}
openapi: 3.1.0
info:
  title: Penumbra API
  version: v1
  description: >-
    HTTP reference for Files, search, extraction, reviews, Graph, Shapes and
    sharing.
servers:
  - url: https://api.pnbr.io
    description: Penumbra API
security: []
paths:
  /v1/orgs/{org}/projects/{project}/files/{file}/versions/{version}:
    get:
      tags:
        - Files
      summary: Get file version
      description: >-
        Read one version of a File.


        Product guidance: [File](/concepts/file), [Synced
        folder](/concepts/source).
      operationId: http.versions.get
      parameters:
        - name: org
          in: path
          required: true
          schema:
            type: string
        - name: project
          in: path
          required: true
          schema:
            type: string
        - name: file
          in: path
          required: true
          schema:
            type: string
        - name: version
          in: path
          required: true
          schema:
            type: string
        - name: include_deleted
          in: query
          required: false
          description: true to read a deleted version. Anything else is false.
          schema:
            type: string
      responses:
        2XX:
          description: Success.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/http_versions_get_response'
      security:
        - bearerAuth: []
components:
  schemas:
    http_versions_get_response:
      type: object
      properties:
        data:
          type: object
          properties:
            id:
              type: string
            file_id:
              type: string
            number:
              type: integer
              minimum: -9007199254740991
              maximum: 9007199254740991
            status:
              type: string
              enum:
                - processing
                - ready
                - failed
            lexical_status:
              type: string
              enum:
                - pending
                - ready
                - not_applicable
                - failed
            semantic_status:
              type: string
              enum:
                - pending
                - ready
                - failed
                - not_requested
                - not_applicable
            is_current:
              type: boolean
            input_kind:
              type: string
              enum:
                - upload
                - text
                - url
                - version
            source_url:
              anyOf:
                - type: string
                - type: 'null'
            source_version_id:
              anyOf:
                - type: string
                - type: 'null'
            version_purpose:
              anyOf:
                - type: string
                  enum:
                    - rollback
                    - reprocess
                - type: 'null'
            source_date:
              anyOf:
                - type: string
                - type: 'null'
            document_date_metadata:
              anyOf:
                - type: object
                  properties:
                    schema:
                      type: string
                      const: document-date-metadata-v1
                    dates:
                      maxItems: 2
                      type: array
                      items:
                        type: object
                        properties:
                          kind:
                            type: string
                            enum:
                              - created
                              - modified
                          value:
                            type: string
                            minLength: 1
                            maxLength: 128
                          source:
                            type: string
                            enum:
                              - ooxml_core_properties
                              - pdf_info
                              - web_page_metadata
                          property:
                            type: string
                            enum:
                              - dcterms:created
                              - dcterms:modified
                              - CreationDate
                              - ModDate
                              - article:published_time
                              - article:modified_time
                        required:
                          - kind
                          - value
                          - source
                          - property
                        additionalProperties: false
                  required:
                    - schema
                    - dates
                  additionalProperties: false
                - type: 'null'
            original:
              type: object
              properties:
                media_type:
                  type: string
                size_bytes:
                  type: integer
                  minimum: -9007199254740991
                  maximum: 9007199254740991
                sha256:
                  type: string
                provider:
                  type: string
                provider_version:
                  anyOf:
                    - type: string
                    - type: 'null'
              required:
                - media_type
                - size_bytes
                - sha256
                - provider
                - provider_version
              additionalProperties: {}
            processing:
              type: object
              properties:
                parser_name:
                  anyOf:
                    - type: string
                    - type: 'null'
                parser_version:
                  anyOf:
                    - type: string
                    - type: 'null'
                chunk_count:
                  anyOf:
                    - type: integer
                      minimum: -9007199254740991
                      maximum: 9007199254740991
                    - type: 'null'
              required:
                - parser_name
                - parser_version
                - chunk_count
              additionalProperties: {}
            error:
              anyOf:
                - type: object
                  properties:
                    code:
                      type: string
                    message:
                      type: string
                    stage:
                      type: string
                    retryable:
                      type: boolean
                  required:
                    - code
                    - message
                    - stage
                    - retryable
                  additionalProperties: {}
                - type: 'null'
            created_at:
              type: string
            ready_at:
              anyOf:
                - type: string
                - type: 'null'
            updated_at:
              type: string
          required:
            - id
            - file_id
            - number
            - status
            - lexical_status
            - semantic_status
            - is_current
            - input_kind
            - source_url
            - source_version_id
            - version_purpose
            - source_date
            - original
            - processing
            - error
            - created_at
            - ready_at
            - updated_at
          additionalProperties: {}
      required:
        - data
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.